package J20250716.demo01_extends;

/**
 * @author WanJl
 * @version 1.0
 * @title Teddy
 * @description
 * @create 2025/7/16
 */
public class Teddy extends Dog{
    public Teddy(int a) {
        //默认都先调用了父类的构造方法
        super(a);
        System.out.println("泰迪类无参构造方法");
    }
    public void move(){
        System.out.println("泰迪移动......");
    }
}
